org.keycloak.saml.processing.core.parsers.saml.assertion

## Class AbstractStaxSamlAssertionParser<T>

- java.lang.Object
- - org.keycloak.saml.common.parsers.AbstractStaxParser<T,SAMLAssertionQNames>
  - - org.keycloak.saml.processing.core.parsers.saml.assertion.AbstractStaxSamlAssertionParser<T>

- All Implemented Interfaces:
    StaxParser
  Direct Known Subclasses:
    SAMLAssertionParser, SAMLAttributeParser, SAMLAttributeStatementParser, SAMLAudienceRestrictionParser, SAMLAuthnContextParser, SAMLAuthnStatementParser, SAMLConditionsParser, SAMLProxyRestrictionParser, SAMLSubjectConfirmationDataParser, SAMLSubjectConfirmationParser, SAMLSubjectParser

      public abstract class AbstractStaxSamlAssertionParser<T>
      extends AbstractStaxParser<T,SAMLAssertionQNames>

  Author:
    hmlnarik

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static QNameEnumLookup<SAMLAssertionQNames>` | `LOOKUP`

    - ### Fields inherited from class org.keycloak.saml.common.parsers.AbstractStaxParser

      `expectedStartElement, LOGGER`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractStaxSamlAssertionParser(SAMLAssertionQNames expectedStartElement)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected SAMLAssertionQNames` | `getElementFromName(QName name)`

    - ### Methods inherited from class org.keycloak.saml.common.parsers.AbstractStaxParser

      `instantiateElement, isUnknownElement, parse, processSubElement, validateStartElement`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### LOOKUP

          protected static final QNameEnumLookup<SAMLAssertionQNames> LOOKUP

  - ### Constructor Detail

    - #### AbstractStaxSamlAssertionParser

          public AbstractStaxSamlAssertionParser(SAMLAssertionQNames expectedStartElement)

  - ### Method Detail

    - #### getElementFromName

          protected SAMLAssertionQNames getElementFromName(QName name)

      Specified by:
        `getElementFromName` in class `AbstractStaxParser<T,SAMLAssertionQNames>`

Copyright © 2021 JBoss by Red Hat. All rights reserved.